# OsiLinkedBound Class Reference

List of bounds which depend on other bounds. More...

`#include <CbcLinked.hpp>`

Collaboration diagram for OsiLinkedBound:
[legend]

List of all members.

## Classes
struct | boundElementAction
## Public Member Functions
Action methods
void | updateBounds (ClpSimplex *solver)
| Update other bounds.
Constructors and destructors
| OsiLinkedBound ()
| Default Constructor.
| OsiLinkedBound (OsiSolverInterface *model, int variable, int numberAffected, const int *positionL, const int *positionU, const double *multiplier)
| Useful Constructor.
| OsiLinkedBound (const OsiLinkedBound &)
| Copy constructor.
OsiLinkedBound & | operator= (const OsiLinkedBound &rhs)
| Assignment operator.
| ~OsiLinkedBound ()
| Destructor.
Sets and Gets
int | variable () const
| Get variable.
void | addBoundModifier (bool upperBoundAffected, bool useUpperBound, int whichVariable, double multiplier=1.0)
| Add a bound modifier.
## Private Attributes
Private member data
OsiSolverInterface * | model_
| Pointer back to model.
int | variable_
| Variable.
int | numberAffected_
| Number of variables/elements affected.
int | maximumAffected_
| Maximum number of variables/elements affected.
boundElementAction * | affected_
| Actions.

## Detailed Description

List of bounds which depend on other bounds.

Definition at line 300 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

OsiLinkedBound::OsiLinkedBound | ( |  | ) |

Default Constructor.

OsiLinkedBound::OsiLinkedBound | ( | OsiSolverInterface * | model,
|  | int | variable,
|  | int | numberAffected,
|  | const int * | positionL,
|  | const int * | positionU,
|  | const double * | multiplier |
| ) |  |  |

Useful Constructor.

OsiLinkedBound::OsiLinkedBound | ( | const OsiLinkedBound & |  | ) |

Copy constructor.

OsiLinkedBound::~OsiLinkedBound | ( |  | ) |

Destructor.

## Member Function Documentation

void OsiLinkedBound::updateBounds | ( | ClpSimplex * | solver | ) |

Update other bounds.

OsiLinkedBound& OsiLinkedBound::operator= | ( | const OsiLinkedBound & | rhs | ) |

Assignment operator.

int OsiLinkedBound::variable | ( |  | ) | const`[inline]`

Get variable.

Definition at line 334 of file CbcLinked.hpp.

void OsiLinkedBound::addBoundModifier | ( | bool | upperBoundAffected,
|  | bool | useUpperBound,
|  | int | whichVariable,
|  | double | multiplier = `1.0` |
| ) |  |  |

Add a bound modifier.

## Member Data Documentation

OsiSolverInterface* OsiLinkedBound::model_`[private]`

Pointer back to model.

Definition at line 364 of file CbcLinked.hpp.

int OsiLinkedBound::variable_`[private]`

Variable.

Definition at line 366 of file CbcLinked.hpp.

int OsiLinkedBound::numberAffected_`[private]`

Number of variables/elements affected.

Definition at line 368 of file CbcLinked.hpp.

int OsiLinkedBound::maximumAffected_`[private]`

Maximum number of variables/elements affected.

Definition at line 370 of file CbcLinked.hpp.

boundElementAction* OsiLinkedBound::affected_`[private]`

Actions.

Definition at line 372 of file CbcLinked.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines